# Generated by Django 3.2.9 on 2021-12-07 11:17

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0015_auto_20211206_1720'),
    ]

    operations = [
        migrations.AddField(
            model_name='historicalobservation',
            name='user_scientific_name',
            field=models.TextField(blank=True, default='', validators=[django.core.validators.RegexValidator(message='Le nom scientifique ne peut contenir que des caractères français.', regex='^[a-zA-Z àâäèéêëîïôœùûüÿçÀÂÄÈÉÊËÎÏÔŒÙÛÜŸÇ"]*$')]),
        ),
        migrations.AddField(
            model_name='historicalobservation',
            name='user_vernacular_name',
            field=models.TextField(blank=True, default='', validators=[django.core.validators.RegexValidator(message='Le nom vernaculaire ne peut contenir que des caractères français.', regex='^[a-zA-Z àâäèéêëîïôœùûüÿçÀÂÄÈÉÊËÎÏÔŒÙÛÜŸÇ"]*$')]),
        ),
        migrations.AddField(
            model_name='observation',
            name='user_scientific_name',
            field=models.TextField(blank=True, default='', validators=[django.core.validators.RegexValidator(message='Le nom scientifique ne peut contenir que des caractères français.', regex='^[a-zA-Z àâäèéêëîïôœùûüÿçÀÂÄÈÉÊËÎÏÔŒÙÛÜŸÇ"]*$')]),
        ),
        migrations.AddField(
            model_name='observation',
            name='user_vernacular_name',
            field=models.TextField(blank=True, default='', validators=[django.core.validators.RegexValidator(message='Le nom vernaculaire ne peut contenir que des caractères français.', regex='^[a-zA-Z àâäèéêëîïôœùûüÿçÀÂÄÈÉÊËÎÏÔŒÙÛÜŸÇ"]*$')]),
        ),
    ]
